For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a folder
      • GETReturns a folder's details
      • PUTUpdate a folder
      • GETGet all folders
      • DELDelete a folder (and all its lists)
      • GETGet lists in a folder
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementFolders

Update a folder

PUT
https://api.brevo.com/v3/contacts/folders/:folderId
PUT
/v3/contacts/folders/:folderId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.updateFolder(1, {
8 body: {},
9 });
10}
11main();
Update the name of an existing folder identified by its ID. The new folder name must be provided in the request body. Returns a 404 error if the folder ID does not exist.
Was this page helpful?
Previous

Get all folders

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

folderIdlongRequired
Id of the folder

Request

Name of the folder
namestringOptional
Name of the folder

Response

Folder updated

Errors

400
Bad Request Error
404
Not Found Error